node {
	def sonarOrgKey = "cours-eftl-ggestin"
	def sonarProjectKey = "${sonarOrgKey}_newprojectak"
	
	try {
		stage('Checkout') {
		checkout scm
		def pom= readMavenPom file: 'pom.xml'
		if(pom) {
			echo "Building version ${pom.version}"
		}
		sh "chmod +x ./mvnw"
	}

	
	stage('build') {
	sh "./mvnw package -DskipTests"
	}
	
	if ( !(env.SKIP_TESTS.toBoolean())){
	stage("tests unitaire") {
		sh "./mvnw test"
		}
	}
	
	stage("qualit analysis") {
		sh "./mvnw verify org.sonarsource.scanner.maven:sonar-maven-plugin:sonar -Dsonar.projectKey=${sonarProjectKey}"
	}
	
	} catch (Exception error){
	// send mail
	throw error
	} finally {
	archiveArtifacts '**/target/*.jar'
	}

}